Subject: Re: powerbook hang from post-sleep cdrom access - fix

From: Stephan Leemburg <[email-masked]>
Date: Thu, 27 Jul 2000 09:16:16 +0200

Thanks!

I wil put the code also in pmud itself. This should in fact be done at
kernel level, so a patch will be needed for the current tree.

Joseph Garcia wrote:
>
> I think I have a fix to prevent a system hang when trying to access a cdrom
> after sleeping.  I have a small util "wakebay" that simply does a
> CDROM_MEDIA_CHANGED ioctl on a specified device.  I added a the line "wakebay
> /dev/hdc" to PMUD's wakeup script on my PDQ.  This seems to get the desired
> response from the drive, in that it locks the door and spins the disk when it
> should, and if its not there, mounted, or otherwise, does nothing.
>
> my code can be grabbed from http://www.execpc.com/~jpgarcia
>
> Can this be done automatically at the kernel level?
>
> Thanks.
>
> --
> Joseph P. Garcia      [email-masked]      [email-masked]
> CS Undergraduate                      Student Employee - Systems Programmer
> University of Wisconsin - Madison                            UW Lidar Group

--
Stephan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/